<?php

namespace Realestate\Seo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SeoTransformer extends TransformerAbstract
{
    public function transform(\Realestate\Seo\Models\Seo $seo)
    {
        return [
            'id'                => $seo->getRouteKey(),
            'key'               => [
                'public'    => $seo->getPublicKey(),
                'route'     => $seo->getRouteKey(),
            ], 
            'id'                => $seo->id,
            'user_id'           => $seo->user_id,
            'user_type'         => $seo->user_type,
            'slug'              => $seo->slug,
            'url'               => $seo->url,
            'title'             => $seo->title,
            'keywords'          => $seo->keywords,
            'description'       => $seo->description,
            'deleted_at'        => $seo->deleted_at,
            'created_at'        => $seo->created_at,
            'updated_at'        => $seo->updated_at,
            'url'               => [
                'public'    => trans_url('seo/'.$seo->getPublicKey()),
                'user'      => guard_url('seo/seo/'.$seo->getRouteKey()),
            ], 
            'status'            => trans('app.'.$seo->status),
            'created_at'        => format_date($seo->created_at),
            'updated_at'        => format_date($seo->updated_at),
        ];
    }
}